Subject: Re: [PATCH v2 net-next 1/2] lan743x: Add main source files for new lan743x driver

From: Andrew Lunn <[email-masked]>
Date: Sat, 24 Feb 2018 03:06:44 +0100

> Ok, but it seems to me that what I have is an example of "specific book keeping
> private information". Can you clarify the style you prefer?
> 
> In cases of allocation where I can just compare a pointer to null, I can easily remove
> the flags. But in other cases I need a record of which steps completed in order to
> clean up properly. In cases where I need some sort of a flag would you prefer
> I avoid a bit mask, and have a standalone variable for each flag?

Hi Bryan

Often you know some thing has been done, because if it had not been
done, you would of bombed out with an error. In the release function
you can assume everything done in probe has been done, otherwise the
probe would not be successful. In close, you can assume everything
done in open was successful, otherwise the open would of failed....

So probe does not need any flags. open does not need any flags.

   Andrew